<template>
  <v-app>
    <SnackBar />
    <AppBar :propTitle="title" v-if="user != null" />
    <v-main v-if="user != null" class="grey lighten-2">
      <router-view />
    </v-main>
    <v-main class="backgorund" v-else>
      <router-view />
    </v-main>
  </v-app>
</template>

<script>
import SnackBar from "./components/snackbar/SnackBar";
import AppBar from "./views/layout/AppBar";
export default {
  name: "App",

  components: {
    SnackBar,
    AppBar,
  },
  data() {
    return {
      snackbar: true,
      title: "24Lock",
      text: "",
      user: null,
    };
  },
  created() {
    this.user = localStorage.getItem("user");
  },
  beforeUpdate() {
    this.user = localStorage.getItem("user");
  },
};
</script>
<style>
.background-login {
  background-color: "#FBC02D";
}
</style>
